Bug 85509 - sendmail initscript is blindly replaced on upgrade
Summary: sendmail initscript is blindly replaced on upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-03 21:08 UTC by James Bourne
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-27 10:44:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bourne 2003-03-03 21:08:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021126

Description of problem:
Adding (noreplace) to the .spec file would correct this.  I know that it is not
normal for the startup script file to be modified but when it is modified, it
would be nice to have the choice of upgrading the init script.

Version-Release number of selected component (if applicable):
8.11.6-23.73

How reproducible:
Always

Steps to Reproduce:
1. rpm -Fvh sendmail*23.73.rpm

    

Actual Results:  previously modified /etc/init.d/sendmail was replaced

Expected Results:  Either the original modified version of /etc/init.d/sendmail
should be backed up as sendmail.rpmorig or the new file saved as sendmail.rpmnew.

Additional info:

Comment 1 Florian La Roche 2003-03-05 19:31:10 UTC
The RHL7.3 version as well as the errata rpm for RHL7.3 have this file
marked as %config file. So if you don't have a backup file, this would
suggest that your original file has not been changed. Maybe you have
thought about /etc/sysconfig/sendmail instead?

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.